# Generator::key

(PHP 5 >= 5.5.0, PHP 7)

Generator::key — Get the yielded key

### Description

public Generator::key ( void ) : mixed

Gets the key of the yielded value.

### Parameters

This function has no parameters.

### Return Values

Returns the yielded key.

### Examples

Example #1 Generator::key() example

`<?php
function Gen()
{
yield 'key' => 'value';
}
$gen = Gen();
echo "{$gen->key()} => {$gen->current()}";`

The above example will output:

    key => value